## cysignals 1.10.2+ds

=== Makefile ===
# Optional Makefile for easier development

VERSION = $(shell cat VERSION)

PYTHON = python
PIP = $(PYTHON) -m pip -v
LS_R = ls -Ra1

# We add ulimit -s 1024 in this Makefile to work around a very strange
# OS X bug manifesting itself with Python 3 and old versions of GNU make.
# This was discovered at https://github.com/sagemath/cysignals/issues/71
# but I don't know a good analysis nor solution.
DOCTEST = ulimit 2>/dev/null -s 1024; $(PYTHON) -B rundoctests.py


#####################
# Build
#####################

all: build doc

build: configure
	$(PYTHON) setup.py build

install: configure
	$(PIP) install --no-index --ignore-installed --no-deps .

dist: configure
	chmod -R go+rX-w .
	umask 0022 && $(PYTHON) setup.py sdist --formats=gztar

doc:
	cd docs && $(MAKE) html


#####################
# Clean
#####################

clean: clean-doc clean-build
	rm -rf tmp

clean-build:
	rm -rf build example/build example/*.cpp

clean-doc:
	rm -rf docs/build

distclean: clean
	rm -rf .eggs example/.eggs
	rm -rf autom4te.cache
	rm -f config.log config.status
	rm -f src/config.h src/cysignals/signals.pxd src/cysignals/cysignals_config.h


#####################
# Check
#####################

test: check

check: check-tmp

check-all: check-tmp
	$(MAKE) check-install

# Install and check
check-install: check-doctest check-example

check-doctest: install
	$(DOCTEST) src/cysignals/*.pyx

check-example: install
	cd example && $(PYTHON) setup.py clean build

check-gdb: install
	$(PYTHON) testgdb.py


#####################
# Check installation
#####################
#
# Test 2 installation scenarios without a real installation
# - prefix (with --prefix and --root)
# - user (with --user)

check-tmp:
	$(MAKE) check-prefix
	$(MAKE) check-user

prefix-install: configure
	rm -rf tmp/local tmp/build tmp/site-packages
	$(PYTHON) setup.py install --prefix="`pwd`/tmp/local" --root=tmp/build
	cd tmp && mv "build/`pwd`/local" local
	cd tmp && cp -R local/lib*/python*/site-packages site-packages

check-prefix: check-prefix-doctest check-prefix-example

check-prefix-doctest: prefix-install
	export PYTHONPATH="`pwd`/tmp/site-packages" && $(DOCTEST) src/cysignals/*.pyx

check-prefix-example: prefix-install
	rm -rf example/build
	export PYTHONPATH="`pwd`/tmp/site-packages" && cd example && $(PYTHON) setup.py clean build

check-user: check-user-doctest check-user-example

user-install: configure
	rm -rf tmp/user
	export PYTHONUSERBASE="`pwd`/tmp/user" && $(PYTHON) setup.py install --user --old-and-unmanageable

check-user-doctest: user-install
	export PYTHONUSERBASE="`pwd`/tmp/user" && $(DOCTEST) src/cysignals/*.pyx

check-user-example: user-install
	export PYTHONUSERBASE="`pwd`/tmp/user" && cd example && $(PYTHON) setup.py clean build

distcheck: dist
	rm -rf dist/check
	mkdir -p dist/check
	cd dist/check && tar xzf ../cysignals-$(VERSION).tar.gz
	cd dist/check/cysignals-$(VERSION) && $(LS_R) >../dist0.ls
	cd dist/check/cysignals-$(VERSION) && $(MAKE) all
	cd dist/check/cysignals-$(VERSION) && $(MAKE) distclean
	cd dist/check/cysignals-$(VERSION) && $(LS_R) >../dist1.ls
	cd dist/check; diff -u dist0.ls dist1.ls || { echo >&2 "Error: distclean after all leaves garbage"; exit 1; }
	cd dist/check/cysignals-$(VERSION) && $(MAKE) check-user
	cd dist/check/cysignals-$(VERSION) && ./configure --enable-debug
	cd dist/check/cysignals-$(VERSION) && $(MAKE) check-prefix
	cd dist/check/cysignals-$(VERSION) && $(MAKE) distclean
	cd dist/check/cysignals-$(VERSION) && $(LS_R) >../dist2.ls
	cd dist/check; diff -u dist0.ls dist2.ls || { echo >&2 "Error: distclean after check-tmp leaves garbage"; exit 1; }
	cd dist/check/cysignals-$(VERSION) && $(MAKE) dist
	cd dist/check/cysignals-$(VERSION) && tar xzf dist/cysignals-$(VERSION).tar.gz
	cd dist/check/cysignals-$(VERSION)/cysignals-$(VERSION) && $(LS_R) >../../dist3.ls
	cd dist/check; diff -u dist0.ls dist3.ls || { echo >&2 "Error: sdist is not reproducible"; exit 1; }
	rm -rf dist/check


#####################
# Maintain
#####################

configure: configure.ac
	autoconf
	autoheader
	@rm -f src/config.h.in~

.PHONY: all build doc install dist doc clean clean-build clean-doc \
	distclean test check check-all check-tmp check-install \
	check-doctest check-example \
	check-prefix prefix-install check-prefix-doctest check-prefix-example \
	check-user user-install check-user-doctest check-user-example

=== debian/changelog ===
cysignals (1.10.2+ds-4) unstable; urgency=medium

  [ Julien Puydt ]
  * Mark the -doc package M-A: foreign following hinter.
  * Bump std-vers to 4.5.0.

  [ Jerome Benoit ]
  * Explicitly python3 shebang for cysignals-CSI (Closes: #952309).
  * Rules-Requires-Root set to no.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 17 Mar 2020 20:01:51 +0000

cysignals (1.10.2+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Build-Depends-Indep field, Python3 docutils (Closes: #936362);
    - debian/copyright:
      - year tuples, update.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 23 Jan 2020 16:15:36 +0000

cysignals (1.10.2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 29 Dec 2019 07:33:10 +0000

cysignals (1.10.2+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 01 Nov 2019 17:30:23 +0000

cysignals (1.8.1+ds-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Jerome Benoit ]
  * Python2 removal (Closes: #936362).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 Oct 2019 09:15:33 +0000

cysignals (1.8.1+ds-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Jerome Benoit ]
  * Migrate to  texlive-plain-generic (Closes: #933282).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 05 Aug 2019 05:34:17 +0000

=== debian/control ===
Source: cysignals
Section: python
Priority: optional
Maintainer: Jerome Benoit <calculus@rezozer.net>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 help2man,
 dh-python,
 python3-setuptools,
 python3-all,
 python3-distutils,
 python3-sphinx,
 libpython3-all-dev,
 cython3 (>= 0.28),
 libpari-dev (>= 2.9),
 gdb
Build-Depends-Indep:
 python3-docutils,
 latexmk,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-plain-generic,
 texlive-latex-extra
Standards-Version: 4.5.0
X-Python3-Version: >= 3.6
Homepage: https://github.com/sagemath/cysignals
Vcs-Git: https://salsa.debian.org/python-team/modules/cysignals.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/cysignals

Package: python3-cysignals-pari
Provides: python3-cysignals
Conflicts: python3-cysignals-bare
Breaks: sagemath (<< 8.0~)
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: cysignals-tools
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- Python 3 - PARI/GP
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package installs the library for Python 3; this very library
 was built against the PARI/GP library.

Package: python3-cysignals-bare
Provides: python3-cysignals
Conflicts: python3-cysignals-pari
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: cysignals-tools
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- Python 3 - bare
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package installs the library for Python 3; this very library
 was not built against the PARI/GP library.

Package: cysignals-tools
Section: devel
Architecture: all
Depends: gdb, ${python3:Depends}, python3-distutils, ${misc:Depends}
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- tools
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package provides debugging tools.

Package: python-cysignals-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: pdf-viewer, www-browser
Enhances: python3-cysignals (= ${source:Version})
Description: interrupt and signal handling for Cython -- doc
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This is the common documentation package with examples.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export ACLOCAL_PATH=m4

H2MFLAGS = \
	--manual="CySIgnals Cython package" \
	--source="CySIgnals (Debian $(DEB_VERSION))" \
	--version-string="cysignals-CSI - $(DEB_VERSION)" \
	--locale=C.UTF-8 \
	--no-info

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild

override_dh_auto_configure-arch:
	$(call adhoc_dh_auto_configure_do,bare)
	$(call adhoc_dh_auto_configure_do,pari)

override_dh_auto_configure-indep:
	$(call adhoc_dh_auto_configure_do,bare)

override_dh_auto_build-arch:
	$(call adhoc_dh_auto_build_do,bare)
	$(call adhoc_dh_auto_build_do,pari)

override_dh_auto_build-indep:
	$(call adhoc_dh_auto_build_do,bare)

override_dh_auto_test-arch:
	$(call adhoc_dh_auto_test_do,bare)
	$(call adhoc_dh_auto_test_do,pari)

override_dh_auto_test-indep:
	$(call adhoc_dh_auto_test_do,bare)

override_dh_prep-indep:
	help2man $(H2MFLAGS) -s 1 \
			-n "debugger information extractor for Python processes" \
			-o cysignals-CSI.1 \
		$(CURDIR)/debian/adhoc/wrappers/cysignals-CSI

override_dh_auto_install-arch:
	$(call adhoc_dh_auto_install_do,bare)
	$(call adhoc_dh_auto_install_do,pari)

override_dh_auto_install-indep:
	$(call adhoc_dh_auto_install_do,bare)

## Shared Objects are actually managed by dh_python:
## so no ad hoc [sub]machinery is needed for them.
override_dh_install-arch:
	true

override_dh_install-indep:
	dh_install --package cysignals-tools --sourcedir=$(CURDIR)/debian/tmp/bare
	dh_install --indep --remaining-packages

override_dh_installdocs:
	dh_installdocs --all $(CURDIR)/debian/README.Debian

DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-cysignals-doc/usr/share/doc/python-cysignals-doc
override_dh_sphinxdoc-indep:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs latexpdf PAPER=a4 LATEXOPTS='-interaction batchmode'
	cp -p $(CURDIR)/docs/build/latex/cysignals.pdf $(DEB_SPHINXDOC_DOCDIR)
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html $(CURDIR)/docs/source $(DEB_SPHINXDOC_DOCDIR)/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

override_dh_auto_clean:
	$(MAKE) distclean

##################################################################################
## ad hoc machinery

## parameter: flavour
adhoc_dh_auto_configure_do = \
	PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) \
	dh_auto_configure

## parameter: flavour
adhoc_dh_auto_build_do = \
	$(if $(wildcard $(CURDIR)/build/dh-stamp-auto_build-$(1)),, \
		PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) \
		dh_auto_build -- \
			--before-build "mkdir -v -p {build_dir}/../build-$(1)" \
			--after-build  "\
				mv -v {build_dir}/* {build_dir}/../build-$(1) && \
				echo PYBUILD_interpreter={interpreter} > $(CURDIR)/build/dh-test-auto_build-$(1).sh && \
				echo PYBUILD_build_dir={build_dir}/../build-$(1) >> $(CURDIR)/build/dh-test-auto_build-$(1).sh \
				" $(NEWLINE) \
		$(call adhoc_dh_auto_whatever_do_postamble) $(NEWLINE) \
		touch $(CURDIR)/build/dh-stamp-auto_build-$(1) $(NEWLINE) \
		)

#### parameter: flavour
adhoc_dh_auto_test_do = \
	$(if $(wildcard $(CURDIR)/build/dh-stamp-auto_test-$(1)),, \
	$(info FROZEN: \
		PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) \
		dh_auto_test -- \
			--before-test "rmdir {build_dir} && ln -vrsf {build_dir}/../build-$(1) {build_dir}" \
			--after-test  "rm -v {build_dir}" ) $(NEWLINE) \
		$(CURDIR)/debian/adhoc/tests/check-doctest $(1) $(NEWLINE) \
		$(CURDIR)/debian/adhoc/tests/check-example $(1) $(NEWLINE) \
		$(call adhoc_dh_auto_whatever_do_postamble) $(NEWLINE) \
		touch $(CURDIR)/build/dh-stamp-auto_test-$(1) $(NEWLINE) \
		)

## parameter: flavour
adhoc_dh_auto_install_do = \
	$(if $(wildcard $(CURDIR)/build/dh-stamp-auto_install-$(1)),, \
		PYSETUP_CONFIGURE_FLAGS=$(PYSETUP_CONFIGURE_FLAGS_$(1)) PYBUILD_DESTDIR=$(CURDIR)/debian/tmp/$(1) \
		dh_auto_install -- \
			--before-install "rmdir {build_dir} && ln -vrsf {build_dir}/../build-$(1) {build_dir}" \
			--after-install  "rm -v {build_dir}" $(NEWLINE) \
		$(call adhoc_dh_auto_whatever_do_postamble) $(NEWLINE) \
		touch $(CURDIR)/build/dh-stamp-auto_install-$(1) $(NEWLINE) \
		)

## parameter: none
adhoc_dh_auto_whatever_do_postamble = \
	rm -vf $(patsubst %.in,%,$(wildcard $(CURDIR)/src/cysignals/*.in))


PYSETUP_CONFIGURE_FLAGS_bare = '--without-pari'
PYSETUP_CONFIGURE_FLAGS_pari = '--with-pari'


define NEWLINE


endef

##################################################################################

## cysignals 1.11.2%2Bds

=== Makefile ===
--- 
+++ 
@@ -2,15 +2,11 @@
 
 VERSION = $(shell cat VERSION)
 
-PYTHON = python
+PYTHON = python3
 PIP = $(PYTHON) -m pip -v
 LS_R = ls -Ra1
 
-# We add ulimit -s 1024 in this Makefile to work around a very strange
-# OS X bug manifesting itself with Python 3 and old versions of GNU make.
-# This was discovered at https://github.com/sagemath/cysignals/issues/71
-# but I don't know a good analysis nor solution.
-DOCTEST = ulimit 2>/dev/null -s 1024; $(PYTHON) -B rundoctests.py
+DOCTEST = $(PYTHON) -B rundoctests.py
 
 
 #####################

## cysignals 1.11.2+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cysignals.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cysignals.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cysignals"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cysignals"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
cysignals (1.11.2+ds-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:35:58 +0000

cysignals (1.11.2+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
    - d/patches/*, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 Dec 2021 21:35:13 +0000

cysignals (1.10.2+ds-7) unstable; urgency=medium

  * FTBFS fix release (Closes: #997453), light refresh.
  * Debianization:
    - d/control:
      - Build-Depends-Indep field, add tex-gyre;
      - Standards-Version, bump to 4.6.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Nov 2021 09:24:51 +0000

cysignals (1.10.2+ds-6) unstable; urgency=medium

  [ Jerome Benoit ]
  * Update Copyright year tuples in d/copyright
  * Bump Standards Version to version 4.5.1 (no change)
  * Update d/debianization.patch

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #983375)
    - Declaratively request dh addons.
    - Demote sphinx dependencies to B-D-I.
    - Drop unused texlive-plain-generic.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Feb 2021 18:44:41 +0000

cysignals (1.10.2+ds-5) unstable; urgency=medium

  [ Jerome Benoit ]
  * d/*.lintian-overrides: discard
  * d/u/metadata, introduce

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 15 Nov 2020 22:50:46 +0000

=== debian/control ===
--- 
+++ 
@@ -2,33 +2,34 @@
 Section: python
 Priority: optional
 Maintainer: Jerome Benoit <calculus@rezozer.net>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
+ dh-sequence-python3,
  help2man,
- dh-python,
  python3-setuptools,
  python3-all,
  python3-distutils,
- python3-sphinx,
  libpython3-all-dev,
  cython3 (>= 0.28),
  libpari-dev (>= 2.9),
  gdb
 Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
  python3-docutils,
+ python3-sphinx,
  latexmk,
  texlive-latex-base,
  texlive-latex-recommended,
  texlive-fonts-recommended,
- texlive-plain-generic,
- texlive-latex-extra
-Standards-Version: 4.5.0
+ texlive-latex-extra,
+ tex-gyre
+Standards-Version: 4.6.0
 X-Python3-Version: >= 3.6
 Homepage: https://github.com/sagemath/cysignals
-Vcs-Git: https://salsa.debian.org/python-team/modules/cysignals.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/cysignals
+Vcs-Git: https://salsa.debian.org/python-team/packages/cysignals.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/cysignals
 
 Package: python3-cysignals-pari
 Provides: python3-cysignals

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_configure-arch:
 	$(call adhoc_dh_auto_configure_do,bare)

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds//,repacksuffix=+ds \
https://github.com/sagemath/cysignals/releases .*/cysignals-(\d\S*)\.tar\.(?:gz|bz2|xz)

## cysignals 1.11.2+ds1

=== requirements.txt ===
setuptools
Cython>=0.28
Sphinx>=1.6

=== debian/changelog ===
cysignals (1.11.2+ds1-1) unstable; urgency=medium

  * FTBFS-SAB fix release (Closes: #1044486), new Debian Source.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh (NOTE: the upstream tarball
          appeared to have been clean up);
      - Copyright year tuple, update;
    - d/watch:
      - Debian Source suffix, increment;
    - d/python-cysignals-doc.docs, update;
    - d/clean, update;
    - d/control:
      - Standards-Version, bump to 4.6.2 (no change);
    - d/adhoc/examples/example/Makefile:
      - Copyright year tuple, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Aug 2023 22:14:32 +0000

cysignals (1.11.2+ds-2) unstable; urgency=medium

  * Debianization:
    - d/watch, update;
    - d/control:
      - Standards-Version, bump to 4.6.1 (no change);
      - X-Python3-Version, drop;
    - d/copyright:
      - copyright year-tuples, update;
    - d/s/lintian-overrides, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 27 Nov 2022 18:56:37 +0000

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
  texlive-fonts-recommended,
  texlive-latex-extra,
  tex-gyre
-Standards-Version: 4.6.0
-X-Python3-Version: >= 3.6
+Standards-Version: 4.6.2
 Homepage: https://github.com/sagemath/cysignals
 Vcs-Git: https://salsa.debian.org/python-team/packages/cysignals.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cysignals

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds[\d]//,repacksuffix=+ds1,uversionmangle=s/[-~]?rc/~rc/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cysignals-$1\.tar\.gz/ \
https://github.com/sagemath/cysignals/tags .*/archive/refs/tags/v?(\d\S*)\.tar\.gz

## cysignals 1.11.4+ds

=== Makefile ===
--- 
+++ 
@@ -19,13 +19,14 @@
 	$(PYTHON) setup.py build
 
 install: configure
-	$(PIP) install --no-index --ignore-installed --no-deps .
+	$(PIP) install --no-build-isolation --no-index --ignore-installed --no-deps .
 
 dist: configure
+	$(PIP) install build
 	chmod -R go+rX-w .
-	umask 0022 && $(PYTHON) setup.py sdist --formats=gztar
+	umask 0022 && $(PYTHON) -m build --sdist
 
-doc:
+doc: install
 	cd docs && $(MAKE) html

=== requirements.txt ===
setuptools
wheel
Cython
Sphinx
flake8

=== debian/changelog ===
cysignals (1.11.4+ds-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:40:22 +1100

cysignals (1.11.4+ds-1ubuntu1) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 12:05:16 +0100

cysignals (1.11.4+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/watch, update;
    - d/patches/*:
      - d/p/upstream-fix-setup_py-obsoleted_compiler_directive-\
          legacy_implicit_noexcept.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 04 Nov 2023 22:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cysignals
 Section: python
 Priority: optional
-Maintainer: Jerome Benoit <calculus@rezozer.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jerome Benoit <calculus@rezozer.net>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Rules-Requires-Root: no
 Build-Depends:
@@ -10,7 +11,6 @@
  help2man,
  python3-setuptools,
  python3-all,
- python3-distutils,
  libpython3-all-dev,
  cython3 (>= 0.28),
  libpari-dev (>= 2.9),
@@ -64,7 +64,7 @@
 Package: cysignals-tools
 Section: devel
 Architecture: all
-Depends: gdb, ${python3:Depends}, python3-distutils, ${misc:Depends}
+Depends: gdb, ${python3:Depends}, ${misc:Depends}
 Suggests: python-cysignals-doc (= ${source:Version})
 Description: interrupt and signal handling for Cython -- tools
  Since Cython optimizes for speed, Cython normally does not check

=== debian/tests/control ===
Test-Command: debian/tests/check doctest bare python3
Depends: python3-cysignals-bare, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check doctest pari python3
Depends: python3-cysignals-pari, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check example bare python3
Depends: python3-cysignals-bare, python-cysignals-doc, cython3, libpython3-dev, python3-setuptools, build-essential
Restrictions: allow-stderr

Test-Command: debian/tests/check example pari python3
Depends: python3-cysignals-pari, python-cysignals-doc, cython3, libpython3-dev, libpari-dev, python3-setuptools, build-essential
Restrictions: allow-stderr

## cysignals 1.12.0~rc2%2Bds

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export ACLOCAL_PATH=m4

H2MFLAGS = \
	--manual="CySIgnals Cython package" \
	--source="CySIgnals (Debian $(DEB_VERSION))" \
	--version-string="cysignals-CSI - $(DEB_VERSION)" \
	--locale=C.UTF-8 \
	--no-info

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --buildsystem=pybuild

override_dh_prep-indep:
	help2man $(H2MFLAGS) -s 1 \
			-n "debugger information extractor for Python processes" \
			-o cysignals-CSI.1 \
		$(CURDIR)/debian/adhoc/wrappers/cysignals-CSI

DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-cysignals-doc/usr/share/doc/python-cysignals-doc
override_dh_sphinxdoc-indep:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs latexpdf PAPER=a4 LATEXOPTS='-interaction batchmode'
	cp -p $(CURDIR)/docs/build/latex/cysignals.pdf $(DEB_SPHINXDOC_DOCDIR)
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html $(CURDIR)/docs/source $(DEB_SPHINXDOC_DOCDIR)/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installchangelogs:
	dh_installchangelogs --keep README.rst

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

override_dh_missing:
	dh_missing --list-missing

## cysignals 1.12.0~rc2+ds

=== Makefile ===
# Optional Makefile for easier development

VERSION = $(shell cat VERSION)

PYTHON = python3
PIP = $(PYTHON) -m pip -v
LS_R = ls -Ra1

DOCTEST = $(PYTHON) -B rundoctests.py


#####################
# Build
#####################

all: build doc

build: configure
	$(PIP) install build
	$(PYTHON) -m build

install: configure
	$(PIP) install .

dist: configure
	$(PIP) install build
	chmod -R go+rX-w .
	umask 0022 && $(PYTHON) -m build --sdist

doc: install
	cd docs && $(MAKE) html


#####################
# Clean
#####################

clean: clean-doc clean-build
	rm -rf tmp

clean-build:
	rm -rf build example/build example/*.cpp

clean-doc:
	rm -rf docs/build

distclean: clean
	rm -rf .eggs example/.eggs
	rm -rf autom4te.cache
	rm -f config.log config.status
	rm -f src/config.h src/cysignals/signals.pxd src/cysignals/cysignals_config.h


#####################
# Check
#####################

test: check

check: check-all

check-all:
	$(MAKE) check-install

# Install and check
check-install: check-doctest check-example

check-doctest: install
	$(DOCTEST) src/cysignals/*.pyx

check-example: install
	$(PYTHON) -m pip install -U build setuptools wheel Cython
	cd example && $(PYTHON) -m build --no-isolation .

check-gdb: install
	$(PYTHON) testgdb.py


#####################
# Maintain
#####################

configure: configure.ac
	autoconf
	autoheader
	@rm -f src/config.h.in~

.PHONY: all build doc install dist doc clean clean-build clean-doc \
	distclean test check check-all check-install \
	check-doctest check-example

=== debian/changelog ===
cysignals (1.12.0~rc2+ds-2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:09:22 +0000

cysignals (1.12.0~rc2+ds-2build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:35:06 +0100

cysignals (1.12.0~rc2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Sep 2024 12:39:58 +0000

cysignals (1.12.0~rc2+ds-1) experimental; urgency=medium

  * New upstream minor version (second candidate): the optional
    compile-time dependency on PARI/GP was obsoleted (see README.rst).
  * Debianization:
    The non-dependency on PARI/GP implies major changes in the packaging
    which can now relies on the default debian machineries. All the machinery
    to build a bare and a PRI/GP packages was removed, so that cysignals is
    now a regular Python package.
    - d/README.Debian, obsoleted (see preamble);
    - d/control:
      - Build-Depends list, discard libpari-dev dependency;
      - Package python3-cysignals-pari, now a transitional package;
      - debhelper-compat, migrate to version 13;
      - Standards-Version, bump to 4.7.0 (no change);
    - d/patches/*:
      - d/p/upstream-*.patch, oboleted;
      - d/p/debianization.patch, update;
    - d/rules:
      - bare/pari machinery, obsoleted (see preamble);
      - override_dh_{installchangelogs,missing} targets, introduce;
    - d/adhoc/*:
      - d/a/tests/check-{doctest,example}, obsoleted (see d/rules);
      - d/a/examples/example/Makefile, copyright year-tuple, refresh;
    - d/tests:
      - d/t/check, revisit;
      - d/t/control, pari tests, obsoleted (see preamble);
    - d/copyright:
      - Files-Excluded list, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 04 Jul 2024 09:48:59 +0000

cysignals (1.11.4+ds-3) unstable; urgency=medium

  * Team upload
  * d/control:
    Drop cysignals-tools' dependency on python3-distutils
    (Closes: #1065840)

 -- Graham Inggs <ginggs@debian.org>  Wed, 08 May 2024 14:55:51 +0000

cysignals (1.11.4+ds-2) unstable; urgency=medium

  * Debianization:
    - d/control:
      - Build-Depends list, remove python3-distutils (Closes: #1065840);
    - d/copyright:
      - copyright year-tuples, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Mar 2024 16:44:49 +0000

=== debian/control ===
Source: cysignals
Section: python
Priority: optional
Maintainer: Jerome Benoit <calculus@rezozer.net>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 help2man,
 python3-setuptools,
 python3-all,
 libpython3-all-dev,
 cython3 (>= 0.28),
 gdb
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 python3-docutils,
 python3-sphinx,
 latexmk,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-latex-extra,
 tex-gyre
Standards-Version: 4.7.0
Homepage: https://github.com/sagemath/cysignals
Vcs-Git: https://salsa.debian.org/python-team/packages/cysignals.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cysignals

Package: python3-cysignals-bare
Provides: python3-cysignals
Replaces: python3-cysignals-pari (<< 1.12.0~)
Breaks: python3-cysignals-pari (<< 1.12.0~)
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: cysignals-tools
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- Python 3 - bare
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package installs the library for Python 3.

Package: cysignals-tools
Section: devel
Architecture: all
Depends: gdb, ${python3:Depends}, ${misc:Depends}
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- tools
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package provides debugging tools.

Package: python-cysignals-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: pdf-viewer, www-browser
Enhances: python3-cysignals (= ${source:Version})
Description: interrupt and signal handling for Cython -- doc
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This is the common documentation package with examples.

Package: python3-cysignals-pari
Architecture: all
Depends: python3-cysignals-bare (>= ${source:Version}), ${misc:Depends}
Section: oldlibs
Description: interrupt and signal handling for Cython -- Python 3 - PARI/GP
 This is a transitional package. It can safely be removed.

=== debian/tests/control ===
Test-Command: debian/tests/check doctest
Depends: python3-cysignals, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check example
Depends: python3-cysignals, python-cysignals-doc, cython3, libpython3-dev, python3-setuptools, build-essential
Restrictions: allow-stderr

## cysignals 1.12.3+ds

=== requirements.txt ===
meson-python
build
wheel
Cython
Sphinx
flake8
tomli
pytest>=8.0.0

=== debian/changelog ===
cysignals (1.12.3+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - copyright year-tuples, update;
    - d/control:
      - Build-Depends-Indep list, add python3-tomli dependency;
      - Standards-Version, bump to 4.7.2 (no change);
    - d/rules:
      - DEB_BUILD_MAINT_OPTIONS, `hardining` without `fortify`;
    - d/patches/*:
      - d/p/debianization.patch, refresh;
    - d/tests/*:
      - doctest test, now obsolete;
      - example test, adapt;
    - d/adhoc/examples/example/Makefile, adapt;
    - d/cysignals-tools.install, update;
    - d/python-cysignals-doc.docs, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 19 Apr 2025 23:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,27 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-mesonpy,
  help2man,
- python3-setuptools,
  python3-all,
  libpython3-all-dev,
+ python3-pytest <!nocheck>,
  cython3 (>= 0.28),
+ pkgconf,
  gdb
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  python3-docutils,
  python3-sphinx,
+ python3-tomli,
  latexmk,
  texlive-latex-base,
  texlive-latex-recommended,
  texlive-fonts-recommended,
  texlive-latex-extra,
  tex-gyre
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sagemath/cysignals
 Vcs-Git: https://salsa.debian.org/python-team/packages/cysignals.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cysignals
@@ -60,7 +64,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Suggests: pdf-viewer, www-browser
+Suggests: pdf-viewer, www-browser, meson
 Enhances: python3-cysignals (= ${source:Version})
 Description: interrupt and signal handling for Cython -- doc
  Since Cython optimizes for speed, Cython normally does not check

## cysignals 1.12.4+ds

=== docs/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = python3 $(shell which sphinx-build)
 PAPER         =
 BUILDDIR      = build

=== debian/changelog ===
cysignals (1.12.4+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.12.4+ds
  * Remove Rules-Requires-Root: no.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 11 Aug 2025 13:42:15 +0200

cysignals (1.12.3+ds-2) unstable; urgency=medium

  * Team upload
  * Set DPT as Maintainer per new Team Policy
  * Apply upstream patch to remove usage of python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 20:09:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: cysignals
 Section: python
 Priority: optional
-Maintainer: Jerome Benoit <calculus@rezozer.net>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Rules-Requires-Root: no
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Jerome Benoit <calculus@rezozer.net>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -20,7 +20,6 @@
  dh-sequence-sphinxdoc,
  python3-docutils,
  python3-sphinx,
- python3-tomli,
  latexmk,
  texlive-latex-base,
  texlive-latex-recommended,

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-export ACLOCAL_PATH=m4
+export DEB_BUILD_MAINT_OPTIONS= hardening=+all,-fortify
 
 H2MFLAGS = \
 	--manual="CySIgnals Cython package" \

=== debian/tests/control ===
Test-Command: debian/tests/check example
Depends: python3-cysignals, python-cysignals-doc, cython3, libpython3-dev, meson, build-essential
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds[\d]?//,repacksuffix=+ds,uversionmangle=s/[-~]?rc/~rc/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cysignals-$1\.tar\.gz/ \
https://github.com/sagemath/cysignals/tags .*/archive/refs/tags/v?(\d\S*)\.tar\.gz
